/*
 * Name: Mike Cifelli
 * Course: CIS 443 - Programming Languages
 * Assignment: Lisp Parser
 */

package parser;

/**
 * This class represents a STRING in the PL-Lisp implementation.
 */
public class LispString extends Atom {

    /**
     * Create a new STRING with the specified text.
     *
     * @param text
     *  the text representing this STRING
     */
    public LispString(String text) {
        super(text);
    }

    /**
     * Test if this S-expression is a STRING.
     *
     * @return
     *  <code>true</code>
     */
    public boolean stringp() {
        return true;
    }

}
